﻿using Plane.Geography;

namespace Plane.Copters
{
    public class VisibleStatus : IVisibleStatus
    {
        public float Altitude { get; set; }

        public short Heading => (short)Yaw.NormalizeDirection();

        public double Latitude { get; set; }

        public double Longitude { get; set; }

        public string Name { get; set; }

        public float Pitch { get; set; }

        public float Roll { get; set; }

        public float Yaw { get; set; }
    }
}
